<template>
  <div
    class="laurel-crown-block"
    :children="$children"
    :class="{ 'full-width': fullwidth }"
  >
    <h3 class="block-title"><slot name="title"></slot></h3>
    <div class="block-content"><slot name="content"></slot></div>
  </div>
</template>

<script>
export default {
  props: {
    fullwidth: {
      type: Boolean,
      default: false
    }
  }
};
</script>

<style lang="scss" scoped>
.laurel-crown-block {
  position: relative;
  padding: 0 42px;
  display: inline-block;
  width: auto;
  text-align: center;

  &.full-width {
    width: 100%;
  }

  &:after,
  &:before {
    content: "";
    position: absolute;
    top: 0;
    width: 39px;
    height: 100%;
    background-position: center center;
    background-size: 39px 66px;
    background-repeat: no-repeat;
  }

  &:before {
    left: 0;
    background-image: url("/static/images/ic-laurel-crown-left.png");
  }

  &:after {
    right: 0;
    background-image: url("/static/images/ic-laurel-crown-right.png");
  }
}

.block-title {
  font-size: 28px;
  margin-bottom: 12px;
}

.block-content {
  font-size: 14px;
}
</style>
